Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::RenderPriorityGroup::TransparentQueueItemLess Struct Reference

Comparator to order transparent object passes. More...

List of all members.

## Public Methods

_OgreExport bool | operator() (const RenderablePass &a, const RenderablePass &b) const

## Public Attributes

const Camera * | camera

## Detailed Description

Comparator to order transparent object passes.

Definition at line 85 of file OgreRenderQueueSortingGrouping.h.

## Member Function Documentation

_OgreExport bool Ogre::RenderPriorityGroup::TransparentQueueItemLess::operator() | ( | const RenderablePass & | a,
|  | const RenderablePass & | b
| ) | const

| Definition at line 89 of file OgreRenderQueueSortingGrouping.h. References _OgreExport, Ogre::Pass::getHash(), Ogre::Renderable::getSquaredViewDepth(), Ogre::RenderPriorityGroup::RenderablePass::pass, Ogre::Real, and Ogre::RenderPriorityGroup::RenderablePass::renderable.

## Member Data Documentation

const Camera* Ogre::RenderPriorityGroup::TransparentQueueItemLess::camera

| Definition at line 87 of file OgreRenderQueueSortingGrouping.h. Referenced by Ogre::RenderPriorityGroup::sort().

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:45 2004